メインコンテンツまでスキップ

ボリューム一覧 (V2)

この操作は、指定したプロジェクト内のすべてのボリュームを一覧表示します。

GET/v2/volumes
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つ API key を使用する必要があります。

値の例: Bearer {{TOKEN}}
projectIdstringquery必要

この操作の対象プロジェクト。

値の例: proj-xxxxxxxxxxxxxxxxx
pageSizeintegerquery

各レスポンスに含めるレコード数。

値の例: 10
currentPageintegerquery

現在のページ番号。

値の例: 1
typestringquery

ボリュームのカテゴリ。有効な値は MANAGED および EXTERNAL です。

bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/volumes?projectId=proj-xxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

ボリュームの一覧を返します。

codeinteger

レスポンスコード。

dataobject
countinteger

ボリュームの総数。

currentPageinteger

現在のページ番号。

pageSizeinteger

1 ページあたりのボリューム数。

volumesarray

ボリュームの一覧。

[]volumesobject
volumeNamestring

ボリューム名。

descriptionstring

ボリュームの説明。

typestring

ボリュームのカテゴリ。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 200,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"volumes": [
{
"volumeName": "my_volume_1",
"type": "MANAGED",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_2",
"type": "EXTERNAL",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_3",
"type": "MANAGED",
"description": "A volume for storing collection data."
}
]
}
}
Ctrl I